# Contributing
Thank you for your interest in contributing to the project. You can submit a pull request at any time with your changes. Please make sure to target the `dev` branch when submitting and not the `master` branch.

Any contribution is welcomed granted the following are performed:

 1. Make sure that all unit tests pass. The unit tests are written for **jasmine**. To run the tests, first make sure you install [node.js](https://nodejs.org/en/download/) and [jasmine](https://www.npmjs.com/package/jasmine). Follow the link to install nodejs. You can install jasmine by running `npm install -g jasmine`. Once that's complete you can navigate to your project folder root and type `jasmine`. Please be aware that at the moment, some tests will fail for versions of node.js > 10.xx due to rounding errors.
 2. Make sure that there's isn't already an existing solution on the `dev` branch.

Feel free to reach out if you need any guidance navigating the code. Seriously. A slow response doesn't mean you're being ignored but simply that life is in progress. You will however get a response at some point.

# Issues
Please do report any issues you find. If you don't report it, then there's no way of knowing the issue exists in the first place. There are existing issues labeled "Pending issues with xxx". These are just to keep related issues organized. So for instance if you're having a problem with `simplify` you can just add your issue under "Pending issues with simplify". Be sure to mention @jiggzson when reporting.

Give as much information as possible about your issue and try to give it a meaningful subject line. If possible, add an example of what works and what doesn't. If you've already done some debugging, feel free to share since it may help speed up the fix.